org.optaplanner.core.impl.domain.valuerange.descriptor

## Class AbstractFromPropertyValueRangeDescriptor<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor<Solution_>
  - - org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractFromPropertyValueRangeDescriptor<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    ValueRangeDescriptor<Solution_>
  Direct Known Subclasses:
    FromEntityPropertyValueRangeDescriptor, FromSolutionPropertyValueRangeDescriptor

      public abstract class AbstractFromPropertyValueRangeDescriptor<Solution_>
      extends AbstractValueRangeDescriptor<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `arrayWrapping`
    `protected boolean` | `collectionWrapping`
    `protected boolean` | `countable`
    `protected MemberAccessor` | `memberAccessor`

    - ### Fields inherited from class org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor

      `addNullInValueRange, variableDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFromPropertyValueRangeDescriptor(GenuineVariableDescriptor<Solution_> variableDescriptor, boolean addNullInValueRange, MemberAccessor memberAccessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCountable()`
    `protected ValueRange<?>` | `readValueRange(Object bean)`

    - ### Methods inherited from class org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor

      `doNullInValueRangeWrapping, getVariableDescriptor, mightContainEntity, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.domain.valuerange.descriptor.ValueRangeDescriptor

      `extractValueRange, isEntityIndependent`

- - ### Field Detail

    - #### memberAccessor

          protected final MemberAccessor memberAccessor

    - #### collectionWrapping

          protected boolean collectionWrapping

    - #### arrayWrapping

          protected boolean arrayWrapping

    - #### countable

          protected boolean countable

  - ### Constructor Detail

    - #### AbstractFromPropertyValueRangeDescriptor

          public AbstractFromPropertyValueRangeDescriptor(GenuineVariableDescriptor<Solution_> variableDescriptor,
                                                          boolean addNullInValueRange,
                                                          MemberAccessor memberAccessor)

  - ### Method Detail

    - #### isCountable

          public boolean isCountable()

      Returns:
        true if the `ValueRange` is countable (for example a double value range between 1.2 and 1.4 is not countable)

    - #### readValueRange

          protected ValueRange<?> readValueRange(Object bean)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.